#include <iostream>

using namespace std;

int main()
{
int N, K, trazenbroj;
cin >> N >> K;
int p[20000];
for (int i = 0; i < N; i++) {
    cin >> p[i];
}
for (int i = 0; i < N; i++) {
    if (p[i] == K) {
        if (p[i] == p[N - 1]) {
            trazenbroj = p[0];
        }
        else {
        trazenbroj = p[i + 1];
    }
    }
}
    cout << trazenbroj << endl;
}